<?php

namespace OCA\PasswordsHandbook\AppInfo;

use OCA\PasswordsHandbook\Controller\Admin\SettingsController;
use OCA\PasswordsHandbook\Controller\HandbookController;
use OCP\AppFramework\App;
use OCP\AppFramework\Bootstrap\IBootContext;
use OCP\AppFramework\Bootstrap\IBootstrap;
use OCP\AppFramework\Bootstrap\IRegistrationContext;

/**
 * Class Application
 *
 * @package OCA\PasswordsHandbook\AppInfo
 */
class Application extends App implements IBootstrap {

    const APP_NAME = 'passwords_handbook';

    /**
     * Application constructor.
     *
     * @param array $urlParams
     */
    public function __construct(array $urlParams = []) {
        parent::__construct(self::APP_NAME, $urlParams);
    }

    /**
     * @param IRegistrationContext $context
     */
    public function register(IRegistrationContext $context): void {
        $context->registerServiceAlias('HandbookController', HandbookController::class);
        $context->registerServiceAlias('AdminSettingsController', SettingsController::class);
    }

    /**
     * @param IBootContext $context
     */
    public function boot(IBootContext $context): void {
    }

}