<?php

namespace OCA\PasswordsHandbook\Settings;

use OCA\PasswordsHandbook\Service\HandbookUrlService;
use OCP\AppFramework\Http\TemplateResponse;
use OCP\Settings\ISettings;

class AdminSettings implements ISettings {
    protected HandbookUrlService $handbookUrlService;

    /**
     * @param HandbookUrlService $handbookUrlService
     */
    public function __construct(HandbookUrlService $handbookUrlService) {
        $this->handbookUrlService = $handbookUrlService;
    }

    public function getForm() {
        return new TemplateResponse(
            'passwords_handbook',
            'admin/settings',
            [
                'enabled' => $this->handbookUrlService->isUrlSet(),
                'url'     => $this->handbookUrlService->getCurrentUrl()
            ]
        );
    }

    public function getSection() {
        return 'passwords';
    }

    public function getPriority() {
        return 20;
    }
}